package steal_rule

import (
	"context"
	v1 "kami/api/merchant/v1"
	"kami/internal/model"
	"testing"

	_ "github.com/gogf/gf/contrib/drivers/mysql/v2"

	"github.com/gogf/gf/v2/os/glog"
	"github.com/gogf/gf/v2/os/gtime"
)

func Test_sStealRule_Stats(t *testing.T) {
	stealRule := New()
	output, total, _ := stealRule.Stats(context.Background(), &model.MerchantHiddenConfigStatsInput{
		StealStatsReq: &v1.StealStatsReq{
			DateRange: []*gtime.Time{
				gtime.NewFromStr("2024-01-01"),
				gtime.NewFromStr("2026-01-02"),
			},
		},
	})
	glog.Info(context.Background(), "output", output, "total", total)
}
